Folks.Role – folks Reference Manual

# Role

## Object Hierarchy:

## Description:

public class Role : Object

Role a contact has in an organisation.

This represents the role a Persona or Individual has in a single given organisation, such as a company.

## Since:

0.4.0

Namespace: Folks
Package: folks

## Content:

### Properties:

- public string organisation_name { get; set; }
  The name of the organisation in which the role is held.
- public string role { get; set; }
  The role of the position.
- public string title { get; set; }
  The title of the position held.
- public string uid { get; set; }
  The UID that distinguishes this role.

### Static methods:

- public static bool equal (Role a, Role b)
  Compare if two roles are equal. Roles are equal if their titles and organisation names are equal.
- public static uint hash (Role r)
  Hash function for the class. Suitable for use as a hash table key.

### Creation methods:

- public Role (string? title = null, string? organisation_name = null, string? uid = null)
  Default constructor.

### Methods:

- public bool is_empty ()
  Whether none of the components is set.
- public string to_string ()
  Formatted version of this role.

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref